gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.SettingsValue

Contents

- Exported types
- Methods
- Properties
  - origin
  - value

Description

No description available in the introspection data.

Synopsis

- newtype SettingsValue = SettingsValue (ManagedPtr SettingsValue)
- newZeroSettingsValue :: MonadIO m => m SettingsValue
- clearSettingsValueOrigin :: MonadIO m => SettingsValue -> m ()
- getSettingsValueOrigin :: MonadIO m => SettingsValue -> m (Maybe Text)
- setSettingsValueOrigin :: MonadIO m => SettingsValue -> CString -> m ()
- clearSettingsValueValue :: MonadIO m => SettingsValue -> m ()
- getSettingsValueValue :: MonadIO m => SettingsValue -> m (Maybe GValue)
- setSettingsValueValue :: MonadIO m => SettingsValue -> Ptr GValue -> m ()

# Exported types

newtype SettingsValue Source #

Memory-managed wrapper type.

Constructors

SettingsValue (ManagedPtr SettingsValue) |

#### Instances

Instances details

Eq SettingsValue Source # |
Instance details Defined in GI.Gtk.Structs.SettingsValue Methods (==) :: SettingsValue -> SettingsValue -> Bool Source # (/=) :: SettingsValue -> SettingsValue -> Bool Source #
BoxedPtr SettingsValue Source # |
Instance details Defined in GI.Gtk.Structs.SettingsValue Methods boxedPtrCopy :: SettingsValue -> IO SettingsValue Source # boxedPtrFree :: SettingsValue -> IO () Source #
CallocPtr SettingsValue Source # |
Instance details Defined in GI.Gtk.Structs.SettingsValue Methods boxedPtrCalloc :: IO (Ptr SettingsValue) Source #
ManagedPtrNewtype SettingsValue Source # |
Instance details Defined in GI.Gtk.Structs.SettingsValue Methods toManagedPtr :: SettingsValue -> ManagedPtr SettingsValue Source #
tag ~ 'AttrSet => Constructible SettingsValue tag Source # |
Instance details Defined in GI.Gtk.Structs.SettingsValue Methods new :: MonadIO m => (ManagedPtr SettingsValue -> SettingsValue) -> [AttrOp SettingsValue tag] -> m SettingsValue Source #

newZeroSettingsValue :: MonadIO m => m SettingsValue Source #

Construct a `SettingsValue` struct initialized to zero.

# Methods

# Properties

## origin

Origin should be something like “filename:linenumber” for rc files, or e.g. “XProperty” for other sources.

clearSettingsValueOrigin :: MonadIO m => SettingsValue -> m () Source #

Set the value of the “`origin`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #origin

getSettingsValueOrigin :: MonadIO m => SettingsValue -> m (Maybe Text) Source #

Get the value of the “`origin`” field. When overloading is enabled, this is equivalent to

    get settingsValue #origin

setSettingsValueOrigin :: MonadIO m => SettingsValue -> CString -> m () Source #

Set the value of the “`origin`” field. When overloading is enabled, this is equivalent to

    set settingsValue [ #origin := value ]

## value

Valid types are LONG, DOUBLE and STRING corresponding to the token parsed, or a GSTRING holding an unparsed statement

clearSettingsValueValue :: MonadIO m => SettingsValue -> m () Source #

Set the value of the “`value`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #value

getSettingsValueValue :: MonadIO m => SettingsValue -> m (Maybe GValue) Source #

Get the value of the “`value`” field. When overloading is enabled, this is equivalent to

    get settingsValue #value

setSettingsValueValue :: MonadIO m => SettingsValue -> Ptr GValue -> m () Source #

Set the value of the “`value`” field. When overloading is enabled, this is equivalent to

    set settingsValue [ #value := value ]